Public Member Functions | Public Attributes | List of all members
StarObjectSpreadsheetInternal::State Struct Reference

Internal: the state of a StarObjectSpreadsheet. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
std::shared_ptr< StarObjectModel > | m_model
| the model
std::vector< std::shared_ptr< Table > > | m_tableList
| the actual table
std::vector< librevenge::RVNGString > | m_sheetNames
| the sheet names
librevenge::RVNGString | m_pageStyle
| the main page style

## Detailed Description

Internal: the state of a StarObjectSpreadsheet.

## Constructor & Destructor Documentation

## ◆ State()

StarObjectSpreadsheetInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_model

std::shared_ptr<StarObjectModel> StarObjectSpreadsheetInternal::State::m_model

the model

## ◆ m_pageStyle

librevenge::RVNGString StarObjectSpreadsheetInternal::State::m_pageStyle

the main page style

## ◆ m_sheetNames

std::vector<librevenge::RVNGString> StarObjectSpreadsheetInternal::State::m_sheetNames

the sheet names

## ◆ m_tableList

std::vector<std::shared_ptr<Table> > StarObjectSpreadsheetInternal::State::m_tableList

the actual table

The documentation for this struct was generated from the following file:

- StarObjectSpreadsheet.cxx